CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-16804

In Redmine before 3.2.7 and 3.3.x before 3.3.4, the reminders function in app/models/mailer.rb does not check whether an issue is visible, which allows remote authenticated users to obtain sensitive information by reading e-mail reminder messages.
Publish Date : 2017-11-13 Last Update Date : 2019-04-30
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID 200

- Products Affected By CVE-2017-16804

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 9.0 Version Details Vulnerabilities
2 Application Redmine Redmine 0.1.0 Version Details Vulnerabilities
3 Application Redmine Redmine 0.2.1 Version Details Vulnerabilities
4 Application Redmine Redmine 0.2.2 Version Details Vulnerabilities
5 Application Redmine Redmine 0.3.0 Version Details Vulnerabilities
6 Application Redmine Redmine 0.4.0 Version Details Vulnerabilities
7 Application Redmine Redmine 0.4.1 Version Details Vulnerabilities
8 Application Redmine Redmine 0.4.2 Version Details Vulnerabilities
9 Application Redmine Redmine 0.5.0 Version Details Vulnerabilities
10 Application Redmine Redmine 0.5.1 Version Details Vulnerabilities
11 Application Redmine Redmine 0.6.0 Version Details Vulnerabilities
12 Application Redmine Redmine 0.6.1 Version Details Vulnerabilities
13 Application Redmine Redmine 0.6.2 Version Details Vulnerabilities
14 Application Redmine Redmine 0.6.3 Version Details Vulnerabilities
15 Application Redmine Redmine 0.6.4 Version Details Vulnerabilities
16 Application Redmine Redmine 0.7.0 Version Details Vulnerabilities
17 Application Redmine Redmine 0.7.0 RC1 Version Details Vulnerabilities
18 Application Redmine Redmine 0.7.1 Version Details Vulnerabilities
19 Application Redmine Redmine 0.7.2 Version Details Vulnerabilities
20 Application Redmine Redmine 0.7.3 Version Details Vulnerabilities
21 Application Redmine Redmine 0.7.4 Version Details Vulnerabilities
22 Application Redmine Redmine 0.8.0 Version Details Vulnerabilities
23 Application Redmine Redmine 0.8.0 RC1 Version Details Vulnerabilities
24 Application Redmine Redmine 0.8.1 Version Details Vulnerabilities
25 Application Redmine Redmine 0.8.2 Version Details Vulnerabilities
26 Application Redmine Redmine 0.8.3 Version Details Vulnerabilities
27 Application Redmine Redmine 0.8.4 Version Details Vulnerabilities
28 Application Redmine Redmine 0.8.5 Version Details Vulnerabilities
29 Application Redmine Redmine 0.8.6 Version Details Vulnerabilities
30 Application Redmine Redmine 0.8.7 Version Details Vulnerabilities
31 Application Redmine Redmine 0.9.0 Version Details Vulnerabilities
32 Application Redmine Redmine 0.9.1 Version Details Vulnerabilities
33 Application Redmine Redmine 0.9.2 Version Details Vulnerabilities
34 Application Redmine Redmine 0.9.3 Version Details Vulnerabilities
35 Application Redmine Redmine 0.9.4 Version Details Vulnerabilities
36 Application Redmine Redmine 0.9.5 Version Details Vulnerabilities
37 Application Redmine Redmine 0.9.6 Version Details Vulnerabilities
38 Application Redmine Redmine 1.0.0 Version Details Vulnerabilities
39 Application Redmine Redmine 1.0.1 Version Details Vulnerabilities
40 Application Redmine Redmine 1.0.2 Version Details Vulnerabilities
41 Application Redmine Redmine 1.0.3 Version Details Vulnerabilities
42 Application Redmine Redmine 1.0.4 Version Details Vulnerabilities
43 Application Redmine Redmine 1.0.5 Version Details Vulnerabilities
44 Application Redmine Redmine 1.1.0 Version Details Vulnerabilities
45 Application Redmine Redmine 1.1.1 Version Details Vulnerabilities
46 Application Redmine Redmine 1.1.2 Version Details Vulnerabilities
47 Application Redmine Redmine 1.1.3 Version Details Vulnerabilities
48 Application Redmine Redmine 1.2.0 Version Details Vulnerabilities
49 Application Redmine Redmine 1.2.1 Version Details Vulnerabilities
50 Application Redmine Redmine 1.2.2 Version Details Vulnerabilities
51 Application Redmine Redmine 1.2.3 Version Details Vulnerabilities
52 Application Redmine Redmine 1.3.0 Version Details Vulnerabilities
53 Application Redmine Redmine 1.3.1 Version Details Vulnerabilities
54 Application Redmine Redmine 1.3.2 Version Details Vulnerabilities
55 Application Redmine Redmine 2.4.0 Version Details Vulnerabilities
56 Application Redmine Redmine 2.4.1 Version Details Vulnerabilities
57 Application Redmine Redmine 2.4.2 Version Details Vulnerabilities
58 Application Redmine Redmine 2.4.3 Version Details Vulnerabilities
59 Application Redmine Redmine 2.4.4 Version Details Vulnerabilities
60 Application Redmine Redmine 2.4.5 Version Details Vulnerabilities
61 Application Redmine Redmine 2.5.0 Version Details Vulnerabilities
62 Application Redmine Redmine 2.5.1 Version Details Vulnerabilities
63 Application Redmine Redmine 2.6.1 Version Details Vulnerabilities
64 Application Redmine Redmine 3.3.0 Version Details Vulnerabilities
65 Application Redmine Redmine 3.3.1 Version Details Vulnerabilities
66 Application Redmine Redmine 3.3.2 Version Details Vulnerabilities
67 Application Redmine Redmine 3.3.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Redmine Redmine 66

- References For CVE-2017-16804

https://www.redmine.org/issues/25713 CONFIRM
https://www.redmine.org/projects/redmine/wiki/Security_Advisories CONFIRM
https://github.com/redmine/redmine/commit/0f09f161f64f4190a52166675ff380a15b72a8bc CONFIRM
https://www.debian.org/security/2018/dsa-4191
DEBIAN DSA-4191

- Metasploit Modules Related To CVE-2017-16804

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.